Clientes
Remover Cliente
DELETE
/v1/customers/:idBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAutenticação
bearerAuthorizationstring · header · obrigatório
Envie no header:
Authorization: Bearer {{token}}Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Required | Id |
Remove o cadastro de um cliente que não possua cobranças ou assinaturas ativas.
Deletar cliente
const url = 'https://sandbox.validapay.com.br/v1/customers/:id';
const options = {
method: 'DELETE',
headers: {
'Authorization': 'Bearer {{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"message": "Cliente deletado com sucesso"
}400400
{
"code": "CUSTOMER_HAS_SUBSCRIPTIONS"
}404404
{
"code": "CUSTOMER_NOT_FOUND"
}